Get Citizen Users

Returns the users whose profiles can be viewed or edited by the logged-in user. If the logged-in user is an Authorized Agent, the returned users are Authorized Agent Clerks. A Citizen user is not authorized to see other users' profiles, so if the logged-in user is a Citizen user, no users are returned. If the logged-in user is an Automation user, Citizen Access users are returned.

Resource Information

Scopeusers

Deprecated scope name:   get_citizenaccess_citizens

App TypeAll
Authorization TypeAccess token
URI /v4/citizenaccess/citizens?offset={offset}&limit={limit}&fields={fields}&lang={lang}
HTTP MethodGET
Automation Version(s)7.3.3.4

Request Information

Field or ParameterTypeRequiredValuesDescriptionAutomation Version
fieldsstringNo�Comma-delimited names of fields to be returned in the response. Note: Field names are case-sensitive and only first-level fields are supported. Invalid field names are ignored.7.3.3.4
langStringNo�Indicates the language applied.7.3.3.4
limitlongNo�Indicates the number of items that are returned in each page.7.3.3.4
offsetlongNo�Indicates the offset start of each page by the number specified.7.3.3.4

Example

Sample Request Head

GET https://apis.accela.com/v4/citizenaccess/citizens

Notes

This example assumes the logged-in user is an authorized agent.

Response Information

FieldTypeDescriptionAutomation Version
result[]result{}�7.3.3.4
result.emailstringThe citizen user's email address.7.3.3.4
result.idlongThe unique identifier for the object, assigned by the Civic Platform server and provided in a response.7.3.3.4
result.loginNamestringThe citizen user's login name.7.3.3.4
result.mobilePhonestringThe citizen user's 10-digit cell phone number.7.3.3.4
result.receiveSMSstringIndicates whether or not the user prefers to receive SMS messages.7.3.3.4
result.registerDatedateTimeThe citizen user's registration date.7.3.3.4
result.rolestringThe citizen user's role: CONTRACT_INSPECTOR, CITIZEN, AUTH_AGENT_CLERK, AUTH_AGENT, SELF_CERTIFIED_INSPECTOR.7.3.3.4
statusintegerThe record status.7.3.3.4

Example

Sample Response Body

{
   "result":    [
            {
         "role": "AUTH_AGENT_CLERK",
         "registerDate": "2015-03-18 19:28:40",
         "id": 8688,
         "loginName": "devin",
         "email": "devin@company.com",
         "receiveSMS": "Y"
      },
            {
         "role": "AUTH_AGENT_CLERK",
         "registerDate": "2015-03-16 15:41:13",
         "id": 8669,
         "loginName": "aa_clerk3@accela",
         "email": "aa_clerk3@accela.com",
         "receiveSMS": "N"
      },
            {
         "role": "AUTH_AGENT_CLERK",
         "registerDate": "2015-03-13 16:21:06",
         "mobilePhone": "925-551-8956",
         "id": 8661,
         "loginName": "aa_clerk1@accela",
         "email": "aa_clerk1@accela.com",
         "receiveSMS": "Y"
      }
   ],
   "status": 200,
   "page":    {
      "offset": 0,
      "limit": 25,
      "hasmore": false
   }
}
{
   "result":    [
            {
         "role": "AUTH_AGENT_CLERK",
         "registerDate": "2015-03-18 19:28:40",
         "id": 8688,
         "loginName": "devin.yaoaccela",
         "email": "devin.yaoaccela@beyondsoft.com",
         "receiveSMS": "Y"
      },
            {
         "role": "AUTH_AGENT_CLERK",
         "registerDate": "2015-03-16 15:41:13",
         "id": 8669,
         "loginName": "aa_clerk3@accela",
         "email": "aa_clerk3@accela.com",
         "receiveSMS": "N"
      },
            {
         "role": "AUTH_AGENT_CLERK",
         "registerDate": "2015-03-13 16:21:06",
         "mobilePhone": "925-551-8956",
         "id": 8661,
         "loginName": "aa_clerk1@accela",
         "email": "aa_clerk1@accela.com",
         "receiveSMS": "Y"
      }
   ],
   "status": 200,
   "page":    {
      "offset": 0,
      "limit": 25,
      "hasmore": false
   }
}